Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039635
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2018-11-15 15:112019-01-18 14:17
ReporteradrianromeroView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision6fbfc03dbdd4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR18Q3.2SCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039635: Modifications of Best sellers at terminal type level do not trigger the incremental update criteria

DescriptionWith the module installed org.openbravo.retail.bestsellers, if a product is marked or unmarked as best seller at terminal type level, the change is not reflected if reloading a WEBPOS terminal. It is needed to delete the browser cache or do a fake modification of the product in the assortment or in the product master table.
Steps To Reproduce* Install org.openbravo.retail.bestsellers
* Mark a product (For example Hiking boots) as best seller at assortment level but not at terminal type level.
* Clean the browser cache and login in VBS-1 terminal
* Observe the product Hiking boots is not loaded as best seller <- OK
* Mark the product as best seller at terminal type level
* Reload the terminal
* Observe the product is not loaded as bestseller <- WRONG

* As test. Go to the product in the assortment table modify the record, save, restore the record to the original values and save again
* Reload the terminal
* Observe the product is loaded as bestseller <- OK
Proposed SolutionIf the product is marked / unmarked at terminal type level. Modify also the updated and updatedby fields at assortment level to force the incremental update criteria.

Apply attached mercurial export file
TagsNo tags attached.
Attached Filesdiff file icon issue39635.diff [^] (7,041 bytes) 2018-11-15 15:19 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108953)
hgbot (developer)
2019-01-14 21:36

Repository: erp/pmods/org.openbravo.retail.bestsellers
Changeset: 6fbfc03dbdd4ac3ea2f3507b7452b1ada8ee3448
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Nov 15 15:13:15 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers/rev/6fbfc03dbdd4ac3ea2f3507b7452b1ada8ee3448 [^]

Fixes issue 0039635: Modifications of Best sellers at terminal type level do not trigger the incremental update criteria
Update fields updated and updated by at assortment level if best seller record at terminaltype level is modified

---
M src/org/openbravo/retail/bestsellers/BestSellersByTerminalTypeDatasource.java
---
(0108954)
hgbot (developer)
2019-01-14 21:36

Repository: erp/pmods/org.openbravo.retail.bestsellers
Changeset: f5c562482be375b131f2f077bc1c270fb01b2a6e
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Nov 15 15:15:03 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers/rev/f5c562482be375b131f2f077bc1c270fb01b2a6e [^]

Related to issue 0039635: Modifications of Best sellers at terminal type level do not trigger the incremental update criteria
Update best sellers at terminal type level to load the correct audit field values

---
M src-db/database/model/views/BEST_PRODUCT_TTYPE_VIEW.xml
---

- Issue History
Date Modified Username Field Change
2018-11-15 15:11 adrianromero New Issue
2018-11-15 15:11 adrianromero Assigned To => adrianromero
2018-11-15 15:11 adrianromero Triggers an Emergency Pack => No
2018-11-15 15:19 adrianromero File Added: issue39635.diff
2018-11-15 15:19 adrianromero Assigned To adrianromero => marvintm
2018-11-15 15:19 adrianromero Proposed Solution updated
2018-11-15 15:36 adrianromero Proposed Solution updated
2018-12-17 09:22 rafaroda Issue Monitored: rafaroda
2018-12-20 12:56 marvintm Target Version RR19Q1 =>
2019-01-11 08:37 marvintm Assigned To marvintm => Retail
2019-01-12 13:42 rqueralta Assigned To Retail => rqueralta
2019-01-14 21:36 hgbot Checkin
2019-01-14 21:36 hgbot Note Added: 0108953
2019-01-14 21:36 hgbot Status new => resolved
2019-01-14 21:36 hgbot Resolution open => fixed
2019-01-14 21:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.bestsellers/rev/6fbfc03dbdd4ac3ea2f3507b7452b1ada8ee3448 [^]
2019-01-14 21:36 hgbot Checkin
2019-01-14 21:36 hgbot Note Added: 0108954
2019-01-18 14:17 marvintm Review Assigned To => marvintm
2019-01-18 14:17 marvintm Status resolved => closed
2019-01-18 14:17 marvintm Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker